# Returns the content of the temporary file with the specified id.

GET https://api.awork.com/api/v1/temporaryfiles/{fileId}/download



<Check title="Required Permissions" icon="key">Any authenticated user.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/temporaryfiles/{fileId}/download' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `fileId`: string (required). The temporary file to download.

## Response 200

OK

## Response 206

Partial Content

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 416

Range Not Satisfiable

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
